#!/bin/sh
MODULEDIR=/lib/modules/2.4.20/kernel
PCMCIADIR=pcmcia-cs-3.2.3/
NETDRIVERS=netdrivers-3.1/
HOSTAPMODULES=Prism2-2002-05-16/driver/modules/
HOSTAPMODULES_HAPD=hostap-cs-2002-12-10-hostapd/driver/modules/

for f in modules/*.o modules/preferred/pcmcia/*.o; do
    mname=`echo $f | sed -e 's:.*/\(.*o\):\1:'`
    mlocation=`find $MODULEDIR -name $mname`
    if [ -n "$mlocation" ] ; then
	echo Copying $mlocation over $f ...
	cp -a -f $mlocation $f
    fi
done

for f in modules/*.o modules/preferred/pcmcia/*.o; do
    mname=`echo $f | sed -e 's:.*/\(.*o\):\1:'`
    mlocation=`find $PCMCIADIR -name $mname | grep -v compiled-modules`
    if [ -n "$mlocation" ] ; then
	echo Copying $mlocation over $f ...
	cp -a -f $mlocation $f
    fi
done

echo Copying pci-scan, rtl8139 drivers from $NETDRIVERS ...

cp -a -f $NETDRIVERS/rtl8139.o modules/
cp -a -f $NETDRIVERS/pci-scan.o modules/

echo Copying HostAP drivers ...

cp -a -f $HOSTAPMODULES/hostap_cs.o modules/preferred/pcmcia/
cp -a -f $HOSTAPMODULES/hostap.o modules/
cp -a -f $HOSTAPMODULES/hostap_pci.o modules/
cp -a -f $HOSTAPMODULES/hostap_plx.o modules/
cp -a -f $HOSTAPMODULES/hostap_crypt.o modules/
cp -a -f $HOSTAPMODULES/hostap_crypt_wep.o modules/

echo Copying HostAP drivers with hostapd support ...

cp -a -f $HOSTAPMODULES_HAPD/hostap_cs.o modules/preferred/pcmcia/hostap_hapd_cs.o
cp -a -f $HOSTAPMODULES_HAPD/hostap.o modules/hostap_hapd.o
cp -a -f $HOSTAPMODULES_HAPD/hostap_pci.o modules/hostap_hapd_pci.o
cp -a -f $HOSTAPMODULES_HAPD/hostap_plx.o modules/hostap_hapd_plx.o
